## About our dependencies

VoidFinder Toolkit is built on top of many codes provided by the cosmological community.

We thank and recognize the efforts and contributions of all of them.

## ZOBOV

ZOBOV (ZOnes Bordering On Voidness) is an algorithm that finds density depressions in a set of points, without any free parameters, or assumptions about shape. It uses the Voronoi tessellation to estimate densities, which it uses to find both voids and subvoids. It also measures probabilities that each void or subvoid arises from Poisson fluctuations.

> Neyrinck, M. C. (2008). ZOBOV: a parameter-free void-finding algorithm. Monthly notices of the royal astronomical society, 386(4), 2101-2109.

## Spherical Void Finder and Popcorn

Underdense regions are defined as free-form objects, called popcorn voids, made from the union of spheres of maximum volume with a given joint integrated (under)density contrast. The method is inspired by the excursion-set theory and consequently no rescaling processing is needed, the removal of overlapping voids and objects with sizes below the shot noise threshold is inherent in the algorithm.

Popcorn voids are an extension of spherical voids by adding children spheres in a recursive way. Spherical Voids are just spherical simmetry underdense regions with some defined density contrast.

> Paz, D. J., Correa, C. M., Gualpa, S. R., Ruiz, A. N., Bederián, C. S., Graña, R. D., & Padilla, N. D. (2023). Guess the cheese flavour by the size of its holes: a cosmological test using the abundance of popcorn voids. Monthly Notices of the Royal Astronomical Society, 522(2), 2553-2569.




